# PyMove OSM NetworkX (OSMnx)

## What is PyMove-OSMnx

PyMove is a Python library for processing and visualization of trajectories and other spatial-temporal data. OSMnx is a Python package to retrieve, model, analyze, and visualize street networks from OpenStreetMap. Users can download and model walkable, drivable, or bikeable urban networks with a single line of Python code, and then easily analyze and visualize them.

---

## Main Features

PyMove-OSMnx **proposes**:

-   A familiar and similar syntax to Pandas;
-   Clear documentation;
-   Extensibility, since you can implement your main data structure by manipulating other data structures such as Dask DataFrame, numpy arrays, etc., in addition to adding new modules;
-   Flexibility, as the user can switch between different data structures;
-   Fast map-matching of points, routes, or trajectories to nearest graph edges or nodes;
-   Operations for data preprocessing, pattern mining and data visualization.

---
